eKYC (electronic Know Your Customer)

eKYC Overview

eKYC, or electronic Know Your Customer, is a digital process for verifying the identity of customers online. eKYC takes information provided by an end user, such as their name, date of birth, address, social security number, driver's license, and so on, and verifies it against the records in a recognized database.

Advanced security technologies in eKYC improve identity verification. This protects businesses and consumers against cyber threats and fraud. Ultimately, eKYC customers benefit from:

User Input Flow

The Incode eKYC module provides configuration options to specify different search criteria. If your company does business internationally, you must account for the various sources of truth for each country. For example, the United States has multiple sources of truth, including telephone companies (or telcos), credit bureaus, state driver's licenses, and so on. You can collect end user data with a flow that offers pre-selected fields where users can type in their name, date of birth, and similar information, as shown in this image:

eKYC user input flow example

Module Configuration

You can configure the module to select the fields for input data you want to collect from the end user, as shown here.

eKYC module configuration

Direct API Approach

Using the Omni API, module configurations and user data can be forwarded directly when an eKYC search is requested. This overrides any pre-existing configuration and data collected about the user.

API Authentication

All endpoints require authentication headers. For specifications, see the Incode API Documentation.

eKYC Request

POST /omni/externalVerification/ekyc

This endpoint performs an eKYC check for the individual end user specified. The endpoint can have an empty body {} so that case information is then pulled from module configuration and session details.

This table provides a reference to the fields for this endpoint. Some fields are mandatory, and are noted as such. Others are optional depending on the data source and the country.

Field Data Type Description
plugins ekyc This value is static and mandatory.
source String The eKYC sources against which the information user information is to be verified.
firstName String First name of the end user.
surName String Surname (last name) of the end user.
street String End user's full street address, including house number and apartment number if applicable.
city String City for the end user's address.
state String State for the end user's address.
postalCode String Zip code or postal code formatted correctly for the end user's country.
country String Two-letter alpha-2 country code (such as US, BR, CN, and so on). This field is mandatory.
taxID String Tax identifier for the end user. Naming depends on the country. For example, in the US, this is the social security number (SSN). In Brazil, it is the CFP.
dateOfBirth String End user's birth date in the format yyyy-mm-dd (for example, 1986-01-14).
email String End user's email address.
phone String End user's phone number.

eKYC Conditions

You can use eKYC results in conditions to further impact the end user journey or the Onboarding Session result. This table explains the available results, while the image shows the conditions where they can be useful.

eKYC Result Description Possible Values
Overall eKYC Level Overall risk level LOW, MEDIUM, HIGH, VERY_HIGH
Tax ID Status Overall match status for the tax ID MATCH, FUZZY, NO MATCH
Tax ID Level Overall risk level for the tax ID LOW, MEDIUM, HIGH, VERY_HIGH
Phone Level Overall risk level for the provided phone LOW, MEDIUM, HIGH, VERY_HIGH

eKYC related conditions

Single Session Dashboard Results

To see the eKYC verification results in the Omni Dashboard, go to Sessions, open the session, and click the ID Verification tab.

eKYC results

Direct API Response

All module configurations and user data can be forwarded directly in the request for performing an eKYC verification check. This will override existing configuration and data collected about the user.

API Authentication

All endpoints require authentication headers to be specified as stated in Incode API Documentation.

The following image shows a sample response to the API request for an eKYC search.

RESPONSE EXAMPLE
{
    "kyc": [\
        {\
            "key": "addressRiskLevel",\
            "status": "low"\
        },\
        {\
            "key": "emailDomainLevel",\
            "status": "low"\
        },\
        {\
            "key": "emailLevel",\
            "status": "low",\
            "reasonCodes": [\
                "EAF4Y"\
            ]\
        },\
        {\
            "key": "phoneCarrier",\
            "status": "Verizon"\
        },\
        {\
            "key": "phoneLevel",\
            "status": "low",\
            "reasonCodes": [\
                "PAVN",\
                "PML",\
                "PPC9"\
            ]\
        },\
        {\
            "key": "phoneLineType",\
            "status": "Mobile"\
        },\
        {\
            "key": "taxIdAddressMatch",\
            "status": "exact"\
        },\
        {\
            "key": "taxIdCityMatch",\
            "status": "exact"\
        },\
        {\
            "key": "taxIdDobMatch",\
            "status": "exact"\
        },\
        {\
            "key": "taxIdLevel",\
            "status": "low",\
            "reasonCodes": [\
                "TLADB"\
            ]\
        },\
        {\
            "key": "taxIdMatch",\
            "status": "exact"\
        },\
        {\
            "key": "taxIdNameMatch",\
            "status": "exact"\
        },\
        {\
            "key": "taxIdStateMatch",\
            "status": "exact"\
        },\
        {\
            "key": "taxIdZipcodeMatch",\
            "status": "exact"\
        },\
        {\
            "key": "overallLevel",\
            "status": "low"\
        }\
    ]
}

eKYC Error Responses

For information about conventional HTTP response codes for API request success or failure, refer to the API Error Response page.

eKYC Analytics

With the eKYC module, the Omni Dashboard Analytics page includes an eKYC tab. This enables you to identify trends within your end-user verification strategy, over time and at a higher level, than analyzing each individual's verification. This image shows the type of analytics data available.

eKYC results

Provisioning

The eKYC module can be added to the Incode Omni platform at additional cost. To obtain more information, contact our dedicated customer support team. Our personalized, comprehensive approach can:

Our team will provide you with the support and insights you need to make informed decisions, ensuring a seamless integration process.

Updated 7 months ago